{% extends 'base.html.twig' %}

{% block title %}- Accueil{% endblock %}

{% block body %}
    <div class="container">
        <div class="row">
            <div class="col-lg-8 col-lg-offset-2 col-md-10 col-md-offset-1">
                {% if pagination.getTotalItemCount > 0 %}

                    {% for article in pagination %}
                        {% if article.updateAt is defined %}
                            {% set date = article.updateAt %}
                        {% endif %}
                        <div class="article">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="col-md-7">
                                        <h1 class="titleArt">
                                            {{ article.title|raw }}
                                        </h1>
                                    </div>
                                    <span class="col-md-5 text-right dateArt">
                                        Ajouté le {{ date ? article.updateAt|date('d-m-Y') : article.createdAt|date('d-m-Y') }}
                                    </span>
                                </div>
                                <div class="col-md-12">
                                    <p class="small">
                                        {{ article.content | truncate(200, false, '...')|raw }}
                                    </p>
                                </div>

                            </div>
                            <div class="row">
                                <div class="col-md-4">
                                    <a href="{{ path('one_article', {'articleId': article.id}) }}">
                                        <button class="btn-xs btn-default">
                                            View More
                                        </button>
                                    </a>
                                </div>

                                <div class="col-md-4 col-md-offset-4 text-right">
                                <span class="articleComment text-right">
                                {{ article.comments.count }} commentaires
                                </span>
                                </div>

                            </div>
                        </div>

                    {% else %}
                        <div>
                            Aucun article.
                        </div>

                    {% endfor %}

                {% endif %}

                <div class="text-center">
                    {{ knp_pagination_render(pagination) }}
                </div>
            </div>
        </div>
    </div>
{% endblock %}